org.apache.hc.client5.http.impl.routing

## Class DefaultProxyRoutePlanner

- java.lang.Object
- - org.apache.hc.client5.http.impl.routing.DefaultRoutePlanner
  - - org.apache.hc.client5.http.impl.routing.DefaultProxyRoutePlanner

- All Implemented Interfaces:
    HttpRoutePlanner

      @Contract(threading=STATELESS)
      public class DefaultProxyRoutePlanner
      extends DefaultRoutePlanner

  Implementation of an `HttpRoutePlanner` that routes requests through a default proxy.
  Since:
    4.3

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `DefaultProxyRoutePlanner(HttpHost proxy)`
    `DefaultProxyRoutePlanner(HttpHost proxy, SchemePortResolver schemePortResolver)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected HttpHost` | `determineProxy(HttpHost target, HttpContext context)` This implementation returns null.

    - ### Methods inherited from class org.apache.hc.client5.http.impl.routing.DefaultRoutePlanner

      `determineLocalAddress, determineRoute`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultProxyRoutePlanner

          public DefaultProxyRoutePlanner(HttpHost proxy,
                                          SchemePortResolver schemePortResolver)

    - #### DefaultProxyRoutePlanner

          public DefaultProxyRoutePlanner(HttpHost proxy)

  - ### Method Detail

    - #### determineProxy

          protected HttpHost determineProxy(HttpHost target,
                                            HttpContext context)
                                     throws HttpException

      Description copied from class: `DefaultRoutePlanner`
      This implementation returns null.
      Overrides:
        `determineProxy` in class `DefaultRoutePlanner`
      Throws:
        `HttpException` - may be thrown if overridden

Copyright © 1999–2021 The Apache Software Foundation. All rights reserved.